<!DOCTYPE html>
<!--
	Synchronous by TEMPLATED
    templated.co @templatedco
    Released for free under the Creative Commons Attribution 3.0 license (templated.co/license)
-->
<html lang="en">
	<head>
		<title>Spatial Cognition and Navigation Project</title>
		<meta charset="utf-8">
		<meta name="description" content="">
		
		<meta name="application-name" content="SCAN Project"/>
		<link rel="shortcut icon" href="/images/favicon.ico"/>
		<link href="http://fonts.googleapis.com/css?family=Lato:300,400,700,900" rel="stylesheet" type="text/css"/>
		<!--[if lte IE 8]><script src="js/html5shiv.js"></script><![endif]-->
		<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
		<script src="js/skel.min.js"></script>
		<script src="js/skel-panels.min.js"></script>
		<script src="js/init.js"></script>
		<noscript>
			<link rel="stylesheet" href="css/skel-noscript.css"/>
			<link rel="stylesheet" href="css/style.css"/>
		</noscript>
		<!--[if lte IE 8]><link rel="stylesheet" href="css/ie/v8.css"><![endif]-->
		<!--[if lte IE 9]><link rel="stylesheet" href="css/ie/v9.css"><![endif]-->
		<link rel="next" href="/people/people.php"/>
		<?php include_once("analyticstracking.php") ?>
	</head>
	<body class="homepage">
		<div id="wrapper">
			
			<!-- Header -->
			<div id="header">
				<div class="container"> 
					
					<!-- Logo -->
					<!--<div id="logo">
						<h1><a href="#">Synchronous</a></h1>
						<span>Design by TEMPLATED</span>
					</div>-->
                    <!-- /Logo -->
					
					<!-- Nav -->
                    <?php include 'nav.php';?>
                    <!-- /Nav -->
				</div>
			</div>
			<!-- /Header -->
			
			<div id="page">
				<div class="container">
                    <div class="row">
                    	<div class="12u">
							<section id="content" >
                            	<header>
									<h2 class="maintitle">The Spatial Cognition and Navigation (SCAN) Project...</h2>
                                </header>
								<p class="center">...is an interdisciplinary collaboration that seeks to understand how navigational demands affect spatial cognition, and how these differ for men and women across the lifespan. Navigation requires good spatial cognition, but the links between navigation, mobility, and spatial ability are not well understood. Males have larger ranges than females in a wide range of societies and do better at some spatial tests, suggesting that differences in spatial performance may arise from differences in natural mobility patterns. We want to know whether this is so, why the mobility differences exist, and how mobility, navigational style and spatial performance are related. The adaptive arguments proposed in the evolutionary literature suggest that men gain greater fitness benefits from large-scale travel, while the risks and costs of travel are greater for women, particularly women of reproductive age. We are therefore also measuring variables that reflect these fitness gains and risks, to test specific hypotheses that have been proposed to explain these patterns.</p>
								<p class="center">We are collecting data both in the field and in the lab. Because our cognitive abilities evolved to solve problems faced in the context of small-scale subsistence economies, our field sites include mobile, small-scale forager-farmer populations (the Hadza of Tanzania, the Shuar of Ecuador, and the Twe of Namibia), as well as urban residents of Salt Lake City. More sites may be added in the future. Our lab studies feature the development of virtual environments in which we can gain experimental control not possible in the field. It is an interdisciplinary effort, involving collaborators from Anthropology, Psychology, and Geography. The SCAN project launched in 2013 with support from the NSF program in Interdisciplinary Behavioral and Social Science Research.</p>
							</section>
						</div>
					</div>

				</div>	
			</div>


			<!-- Footer -->
			<?php include 'footer.php'; ?>
            <!-- /Footer -->
			
		</div>
		<script type='text/javascript' src='http://www.buildmypinnedsite.com/script/v1.0/cef3d29266fe4f148e837c56487372ee.js'></script>
		<!--<script src="js/fa93fa96ccbf41f2a11d064d3d9545ad.js"></script>-->
		<script type="text/javascript" src="/js/tracker.js"></script>
	</body>
</html>